#ifndef LIBMAD_CONFIG_H
#define LIBMAD_CONFIG_H

#undef FPM_FLOAT   /* Use floating point instead of fixed point implementation */
#define FPM_64BIT  /* Use this if you can use 64 bit ints*/
#undef FPM_INTEL   /* Intel x86 optimized FPM */
#undef FPM_ARM     /* ARMv4 optimized FPM (32 bit!) */
#undef FPM_MIPS    /* MIPS optimized FPM */
#undef FPM_SPARC   /* SPARC V8 optimized version */
#undef FPM_PPC     /* Power PC optimized version */
#undef FPM_DEFAULT /* Portable, less accurate, use as fallback */

#undef OPT_SPEED    /* optimize for speed, worse audio quality */
#undef OPT_ACCURACY /* optimize for accuracy, mutually exclusive with OPT_SPEED */
#undef OPT_STRICT   /* strictly conform to MP3 spec, not recommended */

/* For MIPS: */
#define HAVE_MADD_ASM  /* define if your CPU has MADD */
#undef HAVE_MADD16_ASM /* define if yout CPU only has 16 bit MADD, reduced accuracy */

#endif /* LIBMAD_CONFIG_H */
