#ifndef AUDIOPIPELINE_AUDIO_FILTER_RESAMPLE_H__INCLUDED
#define AUDIOPIPELINE_AUDIO_FILTER_RESAMPLE_H__INCLUDED

#include "audio.h"

/**
 * Creates a filter element which resamples the input audio to the output sample rate.
 * This is a no-op if input and output sample rates match.
 *
 * @param output_sample_rate The sample rate in Hz to resample to
 *
 * @returns Initialized `AudioPipelineElement` that can be used in call to `audio_pipeline_assemble`
 */
AudioPipelineElement *audio_filter_resample(uint32_t output_sample_rate);

#endif /* AUDIOPIPELINE_AUDIO_FILTER_RESAMPLE_H__INCLUDED */

